unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Chart, Series, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    procedure FormDestroy(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
   wykres: TChart;
   seria: TPieSeries;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

//dynamiczne tworzenie wykresu (TChart) i serii danych typu kołowego
procedure TForm1.Button1Click(Sender: TObject);
begin
  if wykres=nil then
  begin
    wykres:=TChart.Create(Self);
    wykres.Parent:=Form1;  //wykres TChart wyświetli się na formularzu
    seria:=TPieSeries.Create(Self);  //dla wykresu kolumnowego byłoby TBarSeries
    seria.ParentChart:=wykres;
    seria.FillSampleValues(5);
  end;
end;


procedure TForm1.FormDestroy(Sender: TObject);
begin
  wykres.Free;wykres:=nil;
end;

end.
